> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Schedule

> Get detailed information about a specific schedule.



## OpenAPI

````yaml https://api.catenatelematics.com/v2/integrations/openapi.json get /v2/integrations/connections/{connection_id}/schedules/{schedule_id}
openapi: 3.1.0
info:
  title: Telematics Integrations Service - REST API
  description: Integrations Service REST API.
  version: 0.1.0
servers:
  - url: https://api.catenatelematics.com
    description: Catena Telematics API
security: []
tags:
  - name: Connections
    description: >-
      Endpoints for managing connections between Fleets and TSPs, including
      their nested schedules and executions. A connection has schedules, and
      each schedule has executions.
  - name: TSP Integrations
    description: Endpoints to view TSPs and their integration support status per resource.
paths:
  /v2/integrations/connections/{connection_id}/schedules/{schedule_id}:
    get:
      tags:
        - Connections
      summary: Get Schedule
      description: Get detailed information about a specific schedule.
      operationId: get_schedule
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Connection Id
        - name: schedule_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Schedule Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduleRead'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
          description: Not Found
        '405':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MethodNotAllowed'
          description: Method Not Allowed
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Conflict'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntity'
          description: Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequests'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
          description: Internal Server Error
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayTimeout'
          description: Gateway Timeout
      security:
        - Bearer:
            - schedule:read
components:
  schemas:
    ScheduleRead:
      properties:
        id:
          type: string
          format: uuid
          title: Schedule ID
          description: Unique identifier for the schedule.
        connection_id:
          type: string
          format: uuid
          title: Connection ID
          description: The ID of the connection that this schedule belongs to.
        resource:
          $ref: '#/components/schemas/ResourceEnum'
          title: Resource Type
          description: >-
            The type of resource being fetched on this schedule (e.g., VEHICLE,
            DRIVER, HOS, IFTA).
        execution_interval_seconds:
          type: integer
          title: Execution Interval
          description: The interval between scheduled executions in seconds.
        status:
          $ref: '#/components/schemas/ScheduleStatusEnum'
          title: Schedule Status
          description: The current status of the schedule (ACTIVE, INACTIVE).
        consecutive_error_count:
          type: integer
          title: Consecutive Error Count
          description: >-
            The number of consecutive errors that have occurred for this
            schedule.
        consecutive_error_threshold:
          type: integer
          title: Consecutive Error Threshold
          description: >-
            The number of consecutive errors allowed before the schedule is
            automatically set to INACTIVE.
        max_concurrent_executions:
          type: integer
          title: Max Concurrent Executions
          description: >-
            The maximum number of concurrent executions allowed for this
            schedule.
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
          description: Resource-specific state used to resume incremental fetching.
        last_data_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Data At
          description: Timestamp of the most recent data point received from the TSP.
        fetch_window_end_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Fetch Window End At
          description: >-
            End timestamp of the last fetch window. Used by chunked adapters to
            advance backfills across executions.
      type: object
      required:
        - id
        - connection_id
        - resource
        - execution_interval_seconds
        - status
        - consecutive_error_count
        - consecutive_error_threshold
        - max_concurrent_executions
      title: ScheduleRead
      description: API Model for reading a schedule
      example:
        consecutive_error_count: 0
        consecutive_error_threshold: 15
        cursor: cursor-1
        execution_interval_seconds: 600
        max_concurrent_executions: 1
        resource: vehicle
    BadRequest:
      properties:
        code:
          type: integer
          title: Code
          default: 400
        message:
          type: string
          title: Message
          default: Bad Request
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BadRequest
    Unauthorized:
      properties:
        code:
          type: integer
          title: Code
          default: 401
        message:
          type: string
          title: Message
          default: Unauthorized
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Unauthorized
    Forbidden:
      properties:
        code:
          type: integer
          title: Code
          default: 403
        message:
          type: string
          title: Message
          default: Forbidden
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Forbidden
    NotFound:
      properties:
        code:
          type: integer
          title: Code
          default: 404
        message:
          type: string
          title: Message
          default: Not Found
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: NotFound
    MethodNotAllowed:
      properties:
        code:
          type: integer
          title: Code
          default: 405
        message:
          type: string
          title: Message
          default: Method Not Allowed
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: MethodNotAllowed
    Conflict:
      properties:
        code:
          type: integer
          title: Code
          default: 409
        message:
          type: string
          title: Message
          default: Conflict
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Conflict
    UnprocessableEntity:
      properties:
        code:
          type: integer
          title: Code
          default: 422
        message:
          type: string
          title: Message
          default: Invalid Request Body
        detail:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Detail
      type: object
      title: UnprocessableEntity
    TooManyRequests:
      properties:
        code:
          type: integer
          title: Code
          default: 429
        message:
          type: string
          title: Message
          default: Too Many Requests
        detail:
          anyOf:
            - $ref: '#/components/schemas/RetryAfterDetail'
            - type: 'null'
      type: object
      title: TooManyRequests
    InternalServerError:
      properties:
        message:
          type: string
          title: Message
          default: Internal Server Error
      type: object
      title: InternalServerError
    GatewayTimeout:
      properties:
        code:
          type: integer
          title: Code
          default: 504
        message:
          type: string
          title: Message
          default: Gateway Timeout
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: GatewayTimeout
    ResourceEnum:
      type: string
      enum:
        - asset
        - driver_association
        - driver_vehicle_association
        - driver_event_log
        - driver_safety_event
        - dvir_log
        - dvir_log_defect
        - engine_log
        - engine_status
        - fuel_transaction
        - fleet_info
        - hos_availability
        - hos_daily_snapshot
        - hos_event
        - hos_event_annotation
        - hos_event_attachment
        - hos_violation
        - ifta_summary
        - location_segment
        - message
        - group_message
        - user
        - vehicle
        - vehicle_location
        - vehicle_sensor
        - vehicle_region_segment
        - trailer
        - trailer_association
        - trailer_vehicle_association
        - trailer_location
        - trailer_status
        - workflow
      title: ResourceEnum
      description: Enum for resources
    ScheduleStatusEnum:
      type: string
      enum:
        - inactive
        - active
        - paused
        - stale
        - deleted
        - cancelled
        - cancelled_insufficient_scope
      title: ScheduleStatusEnum
      description: Enum representing the possible statuses of a schedule.
    ValidationErrorDetail:
      properties:
        path:
          type: string
          title: Path
        input:
          type: string
          title: Input
        message:
          type: string
          title: Message
        error_type:
          type: string
          title: Error Type
      type: object
      required:
        - path
        - input
        - message
        - error_type
      title: ValidationErrorDetail
    RetryAfterDetail:
      properties:
        retry_after_seconds:
          type: integer
          title: Retry After Seconds
        message:
          type: string
          title: Message
      type: object
      required:
        - retry_after_seconds
        - message
      title: RetryAfterDetail
  securitySchemes:
    Bearer:
      type: oauth2
      flows:
        clientCredentials:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
        authorizationCode:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          authorizationUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/auth
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token

````